<bugID>543926<Summary>freezes when opening pdfs inline, now while pictures 'save as' too...</Summary><Description>User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.1.6) Gecko/20091216 Iceweasel/3.5.6 (like Firefox/3.5.6; Debian-3.5.6-1)
Build Identifier: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.1.6) Gecko/20091216 Iceweasel/3.5.6 (like Firefox/3.5.6; Debian-3.5.6-1)

A while ago my firefox started freezing when I opened a pdf attachment inline; saving it and viewing it externaly helped in most cases. Now it starts freezing when 'save this picture' too.
Its doesn't use any cpu and it won't repaint its window anymore.

This happenes just on my netbook, but its totaly reproducible with it.
i'll post a stack trace soon.

Reproducible: Always</Description></bugID>